Thread::isTerminated
Thread::join
Thread
PHP Manual

# Thread::isWaiting

State Detection

### Description

final public boolean Thread::isWaiting ( void )

Tell if the referenced Thread is waiting for notification

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of the referenced Thread

`<?php
class My extends Thread {
public function run() {
$this->synchronized(function($thread){
$thread->wait();
}, $this);
}
}
$my = new My();
$my->start();
$my->synchronized(function($thread){
var_dump($thread->isWaiting());
$thread->notify();
}, $my);
?>`

The above example will output:

    bool(true)